Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface ModuleLogLevelsConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, ConfigElement, NotificationBroadcaster, NotificationEmitter, PropertiesAccess

public interface ModuleLogLevelsConfig
extends PropertiesAccess, ConfigElement

Configuration for the <module-log-levels> element. Values are those defined in `LogLevelValues`.

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.config.PropertiesAccess
`PROPERTY_PREFIX`

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Method Summary
`void` | `changeAll(java.lang.String value)` Change all log levels to the specified value.
`java.lang.String` | `getAdmin()`
`java.util.Map` | `getAllLevels()` Get a Map keyed by Attribute name of all log levels.
`java.lang.String` | `getClassloader()`
`java.lang.String` | `getCMP()`
`java.lang.String` | `getCMPContainer()`
`java.lang.String` | `getConfiguration()`
`java.lang.String` | `getConnector()`
`java.lang.String` | `getCORBA()`
`java.lang.String` | `getDeployment()`
`java.lang.String` | `getEJBContainer()`
`java.lang.String` | `getJavamail()`
`java.lang.String` | `getJAXR()`
`java.lang.String` | `getJAXRPC()`
`java.lang.String` | `getJDO()`
`java.lang.String` | `getJMS()`
`java.lang.String` | `getJTA()`
`java.lang.String` | `getJTS()`
`java.lang.String` | `getMDBContainer()`
`java.lang.String` | `getNaming()`
`java.lang.String` | `getResourceAdapter()`
`java.lang.String` | `getRoot()`
`java.lang.String` | `getSAAJ()`
`java.lang.String` | `getSecurity()`
`java.lang.String` | `getServer()`
`java.lang.String` | `getVerifier()`
`java.lang.String` | `getWebContainer()`
`void` | `setAdmin(java.lang.String value)`
`void` | `setClassloader(java.lang.String value)`
`void` | `setCMP(java.lang.String value)`
`void` | `setCMPContainer(java.lang.String value)`
`void` | `setConfiguration(java.lang.String value)`
`void` | `setConnector(java.lang.String value)`
`void` | `setCORBA(java.lang.String value)`
`void` | `setDeployment(java.lang.String value)`
`void` | `setEJBContainer(java.lang.String value)`
`void` | `setJavamail(java.lang.String value)`
`void` | `setJAXR(java.lang.String value)`
`void` | `setJAXRPC(java.lang.String value)`
`void` | `setJDO(java.lang.String value)`
`void` | `setJMS(java.lang.String value)`
`void` | `setJTA(java.lang.String value)`
`void` | `setJTS(java.lang.String value)`
`void` | `setMDBContainer(java.lang.String value)`
`void` | `setNaming(java.lang.String value)`
`void` | `setResourceAdapter(java.lang.String value)`
`void` | `setRoot(java.lang.String value)`
`void` | `setSAAJ(java.lang.String value)`
`void` | `setSecurity(java.lang.String value)`
`void` | `setServer(java.lang.String value)`
`void` | `setVerifier(java.lang.String value)`
`void` | `setWebContainer(java.lang.String value)`

Methods inherited from interface com.sun.appserv.management.config.PropertiesAccess
`createProperty, existsProperty, getProperties, getPropertyNames, getPropertyValue, removeProperty, setPropertyValue`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### getAllLevels

    public java.util.Map getAllLevels()

  Get a Map keyed by Attribute name of all log levels. Attribute names correspond to the various get methods eg "Admin" for `getAdmin()`, "CMP" for `getCMP()`, etc.

  The possible levels are as defined in `LogLevelValues`.

### changeAll

    public void changeAll(java.lang.String value)

  Change all log levels to the specified value.

  Parameters:
    `value` - one of the values in `LogLevelValues`

### getAdmin

    public java.lang.String getAdmin()

### setAdmin

    public void setAdmin(java.lang.String value)

  Parameters:
    `value` - any value defined in `LogLevelValues`

### getClassloader

    public java.lang.String getClassloader()

### setClassloader

    public void setClassloader(java.lang.String value)

  Parameters:
    `value` - any value defined in `LogLevelValues`

### getCMPContainer

    public java.lang.String getCMPContainer()

### setCMPContainer

    public void setCMPContainer(java.lang.String value)

  Parameters:
    `value` - any value defined in `LogLevelValues`

### getCMP

    public java.lang.String getCMP()

### setCMP

    public void setCMP(java.lang.String value)

  Parameters:
    `value` - any value defined in `LogLevelValues`

### getConfiguration

    public java.lang.String getConfiguration()

### setConfiguration

    public void setConfiguration(java.lang.String value)

  Parameters:
    `value` - any value defined in `LogLevelValues`

### getConnector

    public java.lang.String getConnector()

### setConnector

    public void setConnector(java.lang.String value)

  Parameters:
    `value` - any value defined in `LogLevelValues`

### getCORBA

    public java.lang.String getCORBA()

### setCORBA

    public void setCORBA(java.lang.String value)

  Parameters:
    `value` - any value defined in `LogLevelValues`

### getDeployment

    public java.lang.String getDeployment()

### setDeployment

    public void setDeployment(java.lang.String value)

  Parameters:
    `value` - any value defined in `LogLevelValues`

### getEJBContainer

    public java.lang.String getEJBContainer()

### setEJBContainer

    public void setEJBContainer(java.lang.String value)

  Parameters:
    `value` - any value defined in `LogLevelValues`

### getJavamail

    public java.lang.String getJavamail()

### setJavamail

    public void setJavamail(java.lang.String value)

  Parameters:
    `value` - any value defined in `LogLevelValues`

### getJAXR

    public java.lang.String getJAXR()

### setJAXR

    public void setJAXR(java.lang.String value)

  Parameters:
    `value` - any value defined in `LogLevelValues`

### getJAXRPC

    public java.lang.String getJAXRPC()

### setJAXRPC

    public void setJAXRPC(java.lang.String value)

  Parameters:
    `value` - any value defined in `LogLevelValues`

### getJDO

    public java.lang.String getJDO()

### setJDO

    public void setJDO(java.lang.String value)

  Parameters:
    `value` - any value defined in `LogLevelValues`

### getJMS

    public java.lang.String getJMS()

### setJMS

    public void setJMS(java.lang.String value)

  Parameters:
    `value` - any value defined in `LogLevelValues`

### getJTA

    public java.lang.String getJTA()

### setJTA

    public void setJTA(java.lang.String value)

  Parameters:
    `value` - any value defined in `LogLevelValues`

### getJTS

    public java.lang.String getJTS()

### setJTS

    public void setJTS(java.lang.String value)

  Parameters:
    `value` - any value defined in `LogLevelValues`

### getMDBContainer

    public java.lang.String getMDBContainer()

### setMDBContainer

    public void setMDBContainer(java.lang.String value)

  Parameters:
    `value` - any value defined in `LogLevelValues`

### getNaming

    public java.lang.String getNaming()

### setNaming

    public void setNaming(java.lang.String value)

  Parameters:
    `value` - any value defined in `LogLevelValues`

### getResourceAdapter

    public java.lang.String getResourceAdapter()

### setResourceAdapter

    public void setResourceAdapter(java.lang.String value)

  Parameters:
    `value` - any value defined in `LogLevelValues`

### getRoot

    public java.lang.String getRoot()

### setRoot

    public void setRoot(java.lang.String value)

  Parameters:
    `value` - any value defined in `LogLevelValues`

### getSAAJ

    public java.lang.String getSAAJ()

### setSAAJ

    public void setSAAJ(java.lang.String value)

  Parameters:
    `value` - any value defined in `LogLevelValues`

### getSecurity

    public java.lang.String getSecurity()

### setSecurity

    public void setSecurity(java.lang.String value)

  Parameters:
    `value` - any value defined in `LogLevelValues`

### getServer

    public java.lang.String getServer()

### setServer

    public void setServer(java.lang.String value)

  Parameters:
    `value` - any value defined in `LogLevelValues`

### getVerifier

    public java.lang.String getVerifier()

### setVerifier

    public void setVerifier(java.lang.String value)

  Parameters:
    `value` - any value defined in `LogLevelValues`

### getWebContainer

    public java.lang.String getWebContainer()

### setWebContainer

    public void setWebContainer(java.lang.String value)

  Parameters:
    `value` - any value defined in `LogLevelValues`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.